Skip to content
v2.274.0

AWS::ObservabilityAdmin Construct Library ​


cfn-resources: Stable

All classes with the Cfn prefix in this module (CFN Resources) are always stable and safe to use.


This module is part of the AWS Cloud Development Kit project.

ts
import * as observabilityadmin from 'aws-cdk-lib/aws-observabilityadmin';
python
import aws_cdk.aws_observabilityadmin as observabilityadmin
java
import software.amazon.awscdk.services.observabilityadmin.*;
csharp
using Amazon.CDK.AWS.ObservabilityAdmin;
go
import observabilityadmin "github.com/aws/aws-cdk-go/awscdk"

There are no official hand-written (L2) constructs for this service yet. Here are some suggestions on how to proceed:

There are no hand-written (L2) constructs for this service yet. However, you can still use the automatically generated L1 constructs, and use this service exactly as you would using CloudFormation directly.

For more information on the resources and properties available for this service, see the CloudFormation documentation for AWS::ObservabilityAdmin.

(Read the CDK Contributing Guide and submit an RFC if you are interested in contributing to this construct library.)

Types ​

NameKindSummary
CfnDatasetIntegrationConstruct (L1)The AWS::ObservabilityAdmin::DatasetIntegration resource represents a CloudWatch dataset integration for an account in a region.
CfnOrganizationCentralizationRuleConstruct (L1)Defines how telemetry data should be centralized across an AWS Organization, including source and destination configurations.
CfnOrganizationTelemetryRuleConstruct (L1)Retrieves the details of a specific organization centralization rule.
CfnS3TableIntegrationConstruct (L1)Creates an integration between CloudWatch and S3 Tables for analytics.
CfnTelemetryEnrichmentConstruct (L1)AWS::ObservabilityAdmin::TelemetryEnrichment cloudformation resource enables the resource tags for telemetry feature in CloudWatch to enrich infrastructure metrics with AWS resource tags.
CfnTelemetryPipelinesConstruct (L1)Creates a telemetry pipeline for processing and transforming telemetry data.
CfnTelemetryRuleConstruct (L1)Creates a telemetry rule that defines how telemetry should be configured for AWS resources in your account.
CfnDatasetIntegrationPropsStructProperties for defining a CfnDatasetIntegration.
CfnOrganizationCentralizationRule.CentralizationRuleDestinationPropertyStructConfiguration specifying the primary destination for centralized telemetry data.
CfnOrganizationCentralizationRule.CentralizationRulePropertyStructDefines how telemetry data should be centralized across an AWS Organization, including source and destination configurations.
CfnOrganizationCentralizationRule.CentralizationRuleSourcePropertyStructConfiguration specifying the source of telemetry data to be centralized.
CfnOrganizationCentralizationRule.DestinationLogsConfigurationPropertyStructConfiguration for centralization destination log groups, including encryption and backup settings.
CfnOrganizationCentralizationRule.DestinationMetricsConfigurationPropertyStruct
CfnOrganizationCentralizationRule.LogGroupNameConfigurationPropertyStruct
CfnOrganizationCentralizationRule.LogsBackupConfigurationPropertyStructConfiguration for backing up centralized log data to a secondary region.
CfnOrganizationCentralizationRule.LogsEncryptionConfigurationPropertyStructConfiguration for encrypting centralized log groups.
CfnOrganizationCentralizationRule.MetricsBackupConfigurationPropertyStruct
CfnOrganizationCentralizationRule.SourceLogsConfigurationPropertyStructConfiguration for selecting and handling source log groups for centralization.
CfnOrganizationCentralizationRule.SourceMetricsConfigurationPropertyStruct
CfnOrganizationCentralizationRule.TagPropagationConfigurationPropertyStruct
CfnOrganizationCentralizationRulePropsStructProperties for defining a CfnOrganizationCentralizationRule.
CfnOrganizationTelemetryRule.ActionConditionPropertyStructCondition that matches based on the specific WAF action taken on the request.
CfnOrganizationTelemetryRule.AdvancedEventSelectorPropertyStructAdvanced event selectors let you create fine-grained selectors for management, data, and network activity events.
CfnOrganizationTelemetryRule.AdvancedFieldSelectorPropertyStructDefines criteria for selecting resources based on field values.
CfnOrganizationTelemetryRule.CloudtrailParametersPropertyStructParameters specific to AWS CloudTrail telemetry configuration.
CfnOrganizationTelemetryRule.ConditionPropertyStructA single condition that can match based on WAF rule action or label name.
CfnOrganizationTelemetryRule.ELBLoadBalancerLoggingParametersPropertyStructConfiguration parameters for ELB load balancer logging, including output format and field delimiter settings.
CfnOrganizationTelemetryRule.FieldToMatchPropertyStructSpecifies a field in the request to redact from WAF logs, such as headers, query parameters, or body content.
CfnOrganizationTelemetryRule.FilterPropertyStructA single filter condition that specifies behavior, requirement, and matching conditions for WAF log records.
CfnOrganizationTelemetryRule.LabelNameConditionPropertyStructCondition that matches based on WAF rule labels, with label names limited to 1024 characters.
CfnOrganizationTelemetryRule.LogDeliveryParametersPropertyStructParameters for log delivery configuration.
CfnOrganizationTelemetryRule.LoggingFilterPropertyStructConfiguration that determines which WAF log records to keep or drop based on specified conditions.
CfnOrganizationTelemetryRule.MskMonitoringParametersPropertyStructConfiguration parameters for Amazon MSK cluster monitoring.
CfnOrganizationTelemetryRule.RegionStatusPropertyStructStatus of a telemetry rule in a specific region.
CfnOrganizationTelemetryRule.SingleHeaderPropertyStructStructure containing a name field limited to 64 characters for header or query parameter identification.
CfnOrganizationTelemetryRule.TelemetryDestinationConfigurationPropertyStructConfiguration specifying where and how telemetry data should be delivered for AWS resources.
CfnOrganizationTelemetryRule.TelemetryRulePropertyStructDefines how telemetry should be configured for specific AWS resources.
CfnOrganizationTelemetryRule.VPCFlowLogParametersPropertyStructConfiguration parameters specific to VPC Flow Logs.
CfnOrganizationTelemetryRule.WAFLoggingParametersPropertyStructConfiguration parameters for WAF logging, including redacted fields and logging filters.
CfnOrganizationTelemetryRulePropsStructProperties for defining a CfnOrganizationTelemetryRule.
CfnS3TableIntegration.EncryptionConfigPropertyStructDefines the encryption configuration for S3 Table integrations, including the encryption algorithm and KMS key settings.
CfnS3TableIntegration.LogSourcePropertyStructA data source with an S3 Table integration for query access in the logs namespace.
CfnS3TableIntegrationPropsStructProperties for defining a CfnS3TableIntegration.
CfnTelemetryEnrichmentPropsStructProperties for defining a CfnTelemetryEnrichment.
CfnTelemetryPipelines.TelemetryPipelineConfigurationPropertyStructDefines the configuration for a pipeline, including how data flows from sources through processors to destinations.
CfnTelemetryPipelines.TelemetryPipelinePropertyStructRepresents a complete telemetry pipeline resource with configuration, status, and metadata for data processing and transformation.
CfnTelemetryPipelines.TelemetryPipelineStatusReasonPropertyStructProvides detailed information about the status of a telemetry pipeline, including reasons for specific states.
CfnTelemetryPipelinesPropsStructProperties for defining a CfnTelemetryPipelines.
CfnTelemetryRule.ActionConditionPropertyStructCondition that matches based on the specific WAF action taken on the request.
CfnTelemetryRule.AdvancedEventSelectorPropertyStructAdvanced event selectors let you create fine-grained selectors for management, data, and network activity events.
CfnTelemetryRule.AdvancedFieldSelectorPropertyStructDefines criteria for selecting resources based on field values.
CfnTelemetryRule.CloudtrailParametersPropertyStructParameters specific to AWS CloudTrail telemetry configuration.
CfnTelemetryRule.ConditionPropertyStructA single condition that can match based on WAF rule action or label name.
CfnTelemetryRule.ELBLoadBalancerLoggingParametersPropertyStructConfiguration parameters for ELB load balancer logging, including output format and field delimiter settings.
CfnTelemetryRule.FieldToMatchPropertyStructSpecifies a field in the request to redact from WAF logs, such as headers, query parameters, or body content.
CfnTelemetryRule.FilterPropertyStructA single filter condition that specifies behavior, requirement, and matching conditions for WAF log records.
CfnTelemetryRule.LabelNameConditionPropertyStructCondition that matches based on WAF rule labels, with label names limited to 1024 characters.
CfnTelemetryRule.LogDeliveryParametersPropertyStructConfiguration parameters for Amazon Bedrock AgentCore logging, including logType settings.
CfnTelemetryRule.LoggingFilterPropertyStructConfiguration that determines which WAF log records to keep or drop based on specified conditions.
CfnTelemetryRule.MskMonitoringParametersPropertyStructConfiguration parameters for Amazon MSK cluster monitoring.
CfnTelemetryRule.RegionStatusPropertyStructStatus of a telemetry rule in a specific region.
CfnTelemetryRule.SingleHeaderPropertyStructStructure containing a name field limited to 64 characters for header or query parameter identification.
CfnTelemetryRule.TelemetryDestinationConfigurationPropertyStructConfiguration specifying where and how telemetry data should be delivered for AWS resources.
CfnTelemetryRule.TelemetryRulePropertyStructDefines how telemetry should be configured for specific AWS resources.
CfnTelemetryRule.VPCFlowLogParametersPropertyStructConfiguration parameters specific to VPC Flow Logs.
CfnTelemetryRule.WAFLoggingParametersPropertyStructConfiguration parameters for WAF logging, including redacted fields and logging filters.
CfnTelemetryRulePropsStructProperties for defining a CfnTelemetryRule.